* {
    box-sizing: border-box;
}

@font-face {
    src: url(fonts/Poppins-Bold.ttf);
    font-family: poppins-bold;
}
@font-face {
    src: url(fonts/Poppins-Regular.ttf);
    font-family: poppins-regular;
}
@font-face {
    src: url(fonts/Poppins-SemiBold.ttf);
    font-family: poppins-semibold;
}
@font-face {
    src: url(fonts/Poppins-Medium.ttf);
    font-family: poppins-medium;
}

body {
    background-color: #F2F2F3;
    font-family: poppins-regular;
}

/*HEADER SECTION*/

.header__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    background-color: #FFFFFF;
    height: 68px;
    box-shadow: 0 5px 10px 0 rgba(197, 195, 247, 0.5);
}

.header-container__item {
    padding: 15px 20px;
}

.header-icon__img {
    cursor: pointer;
}

.header-container__item--login {
    display: flex;
    align-items: center;
}

.header-item__text {
    padding: 0px 20px;
    margin: 0px;
    font-size: 17px;
    font-family: poppins-medium;
    color: #494949;
}

.header__item--hidden {
    display: none;
}

.header-item__button, .message__button {
    background-color: transparent;
    border: 2px solid #7FD6ED;
    border-radius: 5px;
    width: 100px;
    height: 35px;
    padding: 0;
    font-family: poppins-regular;
    font-weight: 600;
    font-size: 14px;
    outline: none;
    cursor: pointer;
}

/*MAIN SECTION*/

.main {
    margin: auto;
    padding: 30px 20px 20px;
    display: flex;
    justify-content: center;
}

.main__item--container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-auto-rows: minmax(115px, auto);
    grid-gap: 2px;
    justify-content: center;
}

.main-container__item {
    background-color: white;
}

/*PERSON*/

.main-container__item--person {
    grid-column: span 4;
    grid-row: span 2;

    display: flex;
    padding: 6px 20px;
    max-width: 799px;
}

.person__item {
    margin: 6px;
}

.person__item--contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.contact__item {
    margin: 10px;
}

.contact__img {
    background-image: url('images/person-img.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 125px;
    width: 125px;
    border-radius: 50%;
    box-shadow: 0 0 0px 14px #F3F8F9;
    margin: 18px 0px;
}

.contact__item--social {
    display: flex;
    justify-content: center;
}

.social__icon {
    padding: 0px 3px 3px;
}

.message__button {
    width: 138px;
    height: 44px;
}

.person__item--info {
    margin: 20px 15px;
}

.info__name {
    font-size: 23px;
    font-family: poppins-bold;
    margin: 0;
    margin: 12px 0px 20px;
}

.info__introduction {
    font-size: 14px;
    margin: 0;
    line-height: 20px;
}
.info__introduction--break {
    padding: 10px 0px;
}

/*CAMERA*/

.main-container__item--camera {
    grid-column: span 2;
    grid-row: span 1;
    max-width: 394px;
}

.main-camera__item {
    display: flex;
    background-color: white;
    padding: 30px;

    justify-content: center;
    align-items: center;
}

.camera__item--icon {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 25px;
    padding: 20px;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: #dddddd;
}

.camera-text__heading {
    font-size: 19px;
    font-family: poppins-semibold;
    margin: 0px;
}

/*SERVICES*/

.main-container__item--services {
    grid-column: span 2;
    grid-row: span 4;
    max-width: 394px;

    display: flex;
    flex-direction: column;
    padding: 30px;
}

.services__heading {
    margin: 0;
}
.services__item {
    margin-bottom: 15px;
}
.services__item--checkbox {
    display: flex;
    border: 2px solid #F2F2F3;
    border-radius: 10px;
}

.services__item--highlited {
    border: 2px solid #00AEDC;
}

.services-checkbox__item {
    display: flex;
    flex-direction: column;
}

.services-checkbox__item--left {
    flex: 1;
    align-items: center;
    justify-content: center;
    border-right: 2px solid #F2F2F3;
    border-radius: 10px 0px 0px 10px;
    background-color: #f2f2f37e;
    padding: 15px 2px;
}

.services-checkbox__item--right {
    flex: 3;
    padding: 15px 15px 15px 10px;
}

.checkbox__left {
    padding: 20px;
}

.checkbox__left--time {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background-color: #F5B118;
    padding: 7px;
    text-align: center;
    color: white;
    font-size: 15px;
}

.checkbox__left--free {
    font-size: 13px;
    padding-bottom: 0;
}

.checkbox__left--time-45 {
    background-color: #F5B118;
}
.checkbox__left--time-15 {
    background-color: #5CD6BE;
}
.checkbox__left--time-1 {
    background-color: #B8B8FE;
}

.checkbox__right--heading {
    display: flex;
    justify-content: space-between;
}

.checkbox__check {
    align-self: flex-start;
    transform: scale(1.5);
}

.checkbox__heading {
    margin: 0;
    font-size: 15px;
}

.checkbox__text {
    font-size: 13px;
    margin-bottom: 0;
}

.services-button__call {
    width: 100%;
    border: none;
    border-radius: 5px;
    height: 45px;
    color: white;
    background-color: #00AEDC;
    margin-top: 15px;
    outline: none;
    cursor: pointer;
}

.services-button__call:hover {
    background-color: #0a468a;
}

/*GALLERY*/

.main-container__item--gallery {
    grid-column: span 4;
    grid-row: span 4;

    max-width: 799px;
    display: flex;
    flex-direction: column;
    padding: 30px;
}

.gallery__heading {
    margin: 0px 0px 15px 5px;
}

.gallery__item--images {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.gallery-image__container {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    height: 120px;
    margin: 3px;
    flex: 1 1 auto; 

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat; 
}

.gallery-image__container--large {
    width: 173px;
}
.gallery-image__container--medium {
    width: 120px;
}
.gallery-image__container--small {
    width: 85px;
}
.gallery-image__container--1 {
    background-image: url('images/gallery-1.jpg');
}
.gallery-image__container--2 {
    background-image: url('images/gallery-2.jpg');
}
.gallery-image__container--3 {
    background-image: url('images/gallery-3.jpg');
}
.gallery-image__container--4 {
    background-image: url('images/gallery-4.jpg');
}
.gallery-image__container--5 {
    background-image: url('images/gallery-5.jpg');
}
.gallery-image__container--6 {
    background-image: url('images/gallery-6.jpg');
}
.gallery-image__container--7 {
    background-image: url('images/gallery-7.jpg');
}
.gallery-image__container--8 {
    background-image: url('images/gallery-8.jpg');
}
.gallery-image__container--9 {
    background-image: url('images/gallery-9.jpg');
}
.gallery-image__container--10 {
    background-image: url('images/gallery-10.jpg');
}
.gallery-image__container--11 {
    background-image: url('images/gallery-11.jpg');
}
.gallery-image__container--12 {
    background-image: url('images/gallery-12.jpg');
}
.gallery-image__container--13 {
    background-image: url('images/gallery-13.jpg');
}

.gallery__img:hover {
    box-shadow: 0 0 10px 2px #43e285;
    border-radius: 50%;
    border: 1px solid darkgreen;
    cursor: pointer;
}

/*REVIEWS*/

.main-container__item--reviews {
    grid-column: span 4;
    grid-row: span 6;

    max-width: 799px;
    display: flex;
    flex-direction: column;
    background-color: white;
    padding: 30px 30px 20px 30px;
}

.reviews__heading { 
    margin: 0;
    padding: 0px 0px 10px 5px; 
}

.reviews__item--customer {
    display: flex;
}

.reviews__item--sophia {
    border-bottom: 1px solid grey;
}

.reviews__item--maxim {
    padding-top: 20px;
}

.customer__item {
    margin: 10px;
}

.customer__item--sophia {
    background-image: url('images/customer-img.jpg');
}
.customer__item--maxim {
    background-image: url('images/customer-img2.jpg');
}

.customer__item--image {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 60px;
    width: 60px; 
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 50%;
    box-shadow: 0 0 0px 10px #F3F8F9;
    padding: 40px;
    margin-right: 25px;
}

.customer-name__heading {
    margin: 0;
    font-size: 14px;
}

.customer__item--review {
    display: flex;
    flex-direction: column;
}

.customer__review {
    font-size: 15px;
    color: grey;
}

.customer-item__review--details {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.customer__stars, .write__stars {
    display: flex;
}

.star {
    height: 18px;
    width: 18px;
    background-repeat: no-repeat;
}

.star--filled {
    background-image: url('icons/Path.png');
}
.star--empty {
    background-image: url('icons/Path\ Copy\ 4.png');
}
.star--write {
    background-image: url('icons/Path_3.png');
    margin: 2px;
}

.reviews__item--pages {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 25px 0px 20px 0px;
}

.review__page {
    margin: 10px;
    cursor: pointer;
}

.review__page--dots {
    color: grey;
    font-size: 22px;
}

.review__page--6 {
    background-image: url('icons/Rectangle\ Copy\ 8.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 10px;
    font-weight: bold;
}

/*WRITE REVIEW*/

.write__item--title {
    display: flex;
    justify-content: space-between;
}

.write__item--review {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
}

.write__heading {
    margin: 0;
    font-size: 14px;
    margin-left: 5px;
}

.write__review {
    margin: 10px 0px;
}

.write__review--text {
    width: 100%;
    border: 3px solid #F2F2F4;
    border-radius: 10px;
    outline: none;
    resize: none;
    padding: 25px;
    font-size: 14px;
}

.write__review--post {
    border: none;
    border-radius: 5px;
    background-color: #F0F1F1;
    color: #919191;
    padding: 15px;
    width: 135px;
    font-size: 14px;
    font-family: poppins-medium;
    outline: none;
    cursor: pointer;
}

.write__review--post:hover {
    background-color: #919191;
    color: white;
}

/*CONTAINER MARGINS*/

.main-container__item--person, .main-container__item--gallery, .main-container__item--reviews {
    margin-right: 15px;
    margin-bottom: 15px;
}

/*HIDDEN ITEMS */

.contact__item--hidden {
    display: none;
}

.customer-item__review--hidden {
    display: none;
}

/*RESPONSIVE*/
@media screen and (max-width: 1024px) {
    .header-container__item--login {
        display: none;
    }
    .header__item--hidden {
        display: block;
        padding: 5px;
    }
    .hidden__img {
        height: 30px;
        cursor: pointer;
    }
    
    .main {
        padding: 20px 0px;
    }

    .main-container__item--camera {
        grid-column: span 6;
        grid-row: 1;
        width: 100%;
        max-width: 799px;
        margin-bottom: 15px;
    }

    .main-container__item--person {
        grid-column: span 6;
        grid-row: 2;
        width: 100%;

        flex-wrap: wrap;
        justify-content: center;
    }

    .main-container__item--services {
        grid-column: span 6;
        grid-row: 3;
        width: 100%;
        max-width: 799px;
        margin-bottom: 15px;
    }

    .main-container__item--gallery, .main-container__item--reviews {
        grid-column: span 6;
        width: 100%;
    }

    .person__item--contact {
        flex-direction: row;
    }

    .contact__wrapper {
        display: flex;
        flex-direction: column;
        padding: 15px;
        justify-content: flex-end;
    }
    .contact__item--hidden {
        display: block;
        font-size: 23px;
        font-family: poppins-bold;
        margin: 15px 10px;
    }

    .contact__item--social {
        justify-content: flex-start;
    }

    .info__name {
        display: none;
    }

    .info__introduction--break {
        display: none;
    }

    .reviews__item--customer {
        flex-direction: column;
    }

    .customer__wrapper {
        display: flex;
        align-items: center;
    }
    .customer-item__review--temporary {
        display: none;
    }
    .customer-item__review--hidden {
        display: block;
    }

    .customer__name--hidden, .customer__stars--hidden {
        margin: 10px 0px;
    }
}